<?php
include('../config/config.php');
include('../classes/classTransaction.php');
include('../classes/classPatient.php');


################################################################################
#########################Pagination Starts here. {########################
################################################################################
$tranOb = new classTransaction;
$tranOb->setAccountHeadID(1);
$tranOb->setLocationID($_SESSION['security']['location_id']);
$transaction_count = $tranOb->countTransactionByAccountHeadByID();		

$array['item_count'] = $transaction_count;
if(isset($_GET['page']) && isset($_GET['items']))
{
	if($array['item_count'] > $_GET['items'])
	{
		$array['pages'] = ceil($array['item_count']/$_GET['items']);
		if($_GET['page'] >$array['pages'])
		{
			$_GET['page'] = 1;
		}
		$array['current_page'] = $_GET['page'];
		if($_GET['page'] > 1)
		{
			$starting_record = $_GET['items']*($_GET['page']-1);
			$ending_record = $_GET['items'];
			$array['limit'] = $starting_record . "," . $ending_record;
			$limit = $array['limit'];
		}
		else
		{
			$limit = $_GET['items'];
		}
	}
	else
	{
		$array['current_page'] = $_GET['current_page'] = 1;
		$array['pages'] = 1;
		$array['limit'] = $_GET['items'];
		$limit = $array['limit'];
	}
}
else
{
	if($array['item_count'] > 20)
	{
		$array['pages'] = ceil($array['item_count']/20);
	}
	else
	{
		$array['pages'] = 1;
	}
	$array['current_page'] = 1;
	$array['limit'] = 20;
	$limit = $array['limit'];
}

$_SESSION['pagination']['item_count']=$array['item_count'];
$_SESSION['pagination']['pages']=$array['pages'];
$_SESSION['pagination']['current_page']=$array['current_page'];
$_SESSION['pagination']['limit']=$limit;

################################################################################
######################### Pagination Ends here. }##########################
################################################################################

try
{
	$tranOb = new classTransaction;
	$tranOb->setAccountHeadID(1);
	$tranOb->setLocationID($_SESSION['security']['location_id']);
	$transaction_data = $tranOb->retrieveTransactionByAccountHeadByID($limit);	
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}


try
{
	$accheadOb = new classTransaction;
	$accheadOb->setAccountHeadID(1);
	$acchead_data = $accheadOb->retrieveAccountHeadByID();	
	
	$accounthead_name = $acchead_data[0]['acchead_name'];
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}

/*echo '<pre>';
print_r($transaction_data);
echo '</pre>';*/

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><!-- InstanceBegin template="/Templates/print.dwt.php" codeOutsideHTMLIsLocked="false" -->
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <link rel="shortcut icon" href="../images/favicon.png">
    <title>Med2TEC Hospital Management Information System</title> 
    <link href="../css/print.css" rel="stylesheet">
    <link href="../datepicker/jquery-ui.css" rel="stylesheet" >  
    <script type="text/javascript" src="../datepicker/jquery-1.9.1.js"></script>
	<script type="text/javascript" src="../datepicker/jquery-ui.js"></script> 
</head>

<body> 
<div align="right"> 
 <SCRIPT LANGUAGE="JavaScript">  
if (window.print) {
document.write('<form class="no-print"><input type=button name=print value="Print" onClick="window.print()"></form>');
}
</script></div>

<section class="wrapper">
<div style="background:#FFF; padding:0px 0px 0; height:auto;">
  <table cellspacing="0" cellpadding="0" width="100%" border="0" style="font-size:11px;">
    <tbody>
      <tr>
        <td align="left" style="background:#fff;"><img alt="" src="../images/org_print_logos/<?php echo $_SESSION['security']['org_id']?>.png" style="width:100%;"></td>
      </tr>
    </tbody>
  </table>
  
</br>

</div>

<div class="row">
          <section class="panel">
            <header class="panel-heading">
              <h2><!-- InstanceBeginEditable name="title" -->OPD PAYMENTS & TRANSACTIONS<!-- InstanceEndEditable --></h2>
            </header>

  <br />
  
<!-- InstanceBeginEditable name="main" -->
  <!-- page start-->
  
                <table  class="bottomBorder" cellpadding="0" cellspacing="0" width="100%">
                
                  <thead>
                    <tr>
                        
                         <th width="12%" align="left">Date</th>
                         <th width="12%" align="left">Transact ID</th>
                         <th width="25%" align="left">Account Title</th>
                         <th width="17%" align="left">Patient Name</th>
                         <th width="17%">Transaction Amount</th>
                         <th width="17%">Refunded Amount</th>
                    </tr>
                  </thead>
                  
                  <tbody>
                  	<?php
					if(isset($transaction_data[0]['transact_id'])&&$transaction_data[0]['transact_id']!='')
					{
						for($t=0;$t<count($transaction_data);$t++)
						{
							if($t%2==0){$class='gradeX';}else{$class='gradeC';}
							
							if($transaction_data[$t]['patient_id']!=0)
							{
								$retrievePatientOb =  new classPatient;
								$retrievePatientOb->setPatientAutoID($transaction_data[$t]['patient_id']);
								$patient_single_detail = $retrievePatientOb->retrievePatientByPatientID();
							
								$patient_name = $patient_single_detail[0]['patient_fname'].' '.$patient_single_detail[0]['patient_lname'];
							}
							else
							{
								$patient_name = 'Out Door';
							}
							
							$accountOb = new classTransaction;
							$accountOb->setAccountID($transaction_data[$t]['account_id']);
							$account_data = $accountOb->retrieveAccountByID();
							
							
							$amount_payable = $transaction_data[$t]['amount_payable']-$transaction_data[$t]['refunded_amount'];
							?>
							<tr class="<?php echo $class;?>">
                            
								
                                <td align="left"><?php echo date('d M Y',$transaction_data[$t]['transact_time']);?></td>
								<td align="center"><?php echo $transaction_data[$t]['transact_id'];?></td>
								<td align="left"><?php echo $account_data[0]['account_name'];?></td>
								<td align="left"><?php echo $patient_name;?></td>
                                
								<td align="right" >Rs. <?php if($transaction_data[$t]['payment']!=0){echo number_format($transaction_data[$t]['payment'],2);}else{echo 0;}?></td>
                                
                               
                               <td align="right" > <?php if($transaction_data[$t]['refunded_amount']!=0){echo 'Rs. '.number_format($transaction_data[$t]['refunded_amount'],2);}else{}?></td>
                                
								
                                
							</tr>
                            
                            
                            
							<?php
						}
					}
					?>
                  </tbody>
                  
                  <tfoot>
                  </tfoot>
                  
                </table>
                
  <!-- page end-->

<!-- InstanceEndEditable -->
</section>
</div>

<!--<p align="center" style="font-size:12px; font-family:Arial, Helvetica, sans-serif; margin-top:260px;"><strong><!--317 A-1, Nursery Stop, Township, Lahore. 
Ph: 042-35151666</strong><br />
For Appointment call at 042-35151666 (bring your Patient ID Card) </p>-->

   <div class="sidepop" style="float:right;">
    <div class="sidepopbutton stemp"><div style="color: rgb(0, 0, 0); text-align: right; font-size: 10px; margin-top: 4px; position: absolute; right: 180px;">© Software by Softusion Inc. 0322 6155 219</div>   
    </div>
</div>

<!--<div class="sidepop" style="float:right;">
    <div class="sidepopbutton stemp"><div style="color:#000; text-align:right; font-size:9px;">© Software designed by Softusion Inc. Contact us at 0322 6155 219</div>   
    </div>
</div>-->


          
</body>
<!-- InstanceEnd --></html>
<script type="text/javascript" src="../datepicker/jquery-1.9.1.js"></script>
<script type="text/javascript" src="../datepicker/jquery-ui.js"></script>